Subject: webdav and internet explorer

From: "Fernando Claverino" <[email-masked]>
Date: Wed, 31 Jul 2002 01:22:55 -0300

Hi

I'm trying to do a webdav server that must be work with internet explorer
and I have some dificults. Somebody knows how is exactly the sequence of
messages between webdav server and ie for connect and retrive a collection
of files?. For example, in the server's root I have 2 files. How is the
sequence of messages for connect and retrive this 2 files to the browser
(and see this like files in a folder).
Or if somebody knows where is documentation, is welcome too

thanks,

below I write the sequence that I do:

ie send:
----------------------------------------------------------------------------
-
OPTIONS / HTTP/1.1
User-Agent: Microsoft Data Access Internet Publishing Provider Cache Manager
Host: localhost:81
Content-Length: 0
Connection: Keep-Alive

webdav server send:
---------------------------------------
HTTP/1.1 200 OK
DASL: <DAV:sql>
DAV: 1
Public: OPTIONS, GET, HEAD, DELETE, PUT, PROPFIND
Allow: OPTIONS, GET, HEAD, DELETE, PUT, PROPFIND

ie send:
----------------------------------------------------------------------------
-
GET /_vti_inf.html HTTP/1.1
Date: Wed, 31 Jul 2002 03:02:08 GMT
MIME-Version: 1.0
Accept: */*
User-Agent: Mozilla/2.0 (compatible; MS FrontPage 4.0)
Host: localhost:81
Accept: auth/sicily
Content-Length: 0
Connection: Keep-Alive
Cache-Control: no-cache

webdav send
---------------------------------------
HTTP/1.1 200 OK

ie send
----------------------------------------------------------------------------
-
POST /_vti_bin/shtml.exe/_vti_rpc HTTP/1.1
Date: Wed, 31 Jul 2002 03:02:08 GMT
MIME-Version: 1.0
User-Agent: MSFrontPage/4.0
Host: localhost:81
Accept: auth/sicily
Content-Length: 41
Content-Type: application/x-www-form-urlencoded
X-Vermeer-Content-Type: application/x-www-form-urlencoded
Connection: Keep-Alive
Cache-Control: no-cache

method=server+version%3a4%2e0%2e2%2e4715

ie send:
----------------------------------------------------------------------------
-
OPTIONS / HTTP/1.1
Accept-Language: es-ar, en-us;q=0.2
User-Agent: Microsoft Data Access Internet Publishing Provider DAV 1.1
Host: localhost:81
Content-Length: 0
Connection: Keep-Alive

webdav send
---------------------------------------
HTTP/1.1 200 OK
DASL: <DAV:sql>
DAV: 1
Public: OPTIONS, GET, HEAD, DELETE, PUT, PROPFIND
Allow: OPTIONS, GET, HEAD, DELETE, PUT, PROPFIND

ie send
----------------------------------------------------------------------------
-
PROPFIND / HTTP/1.1
Accept-Language: es-ar, en-us;q=0.2
Content-Type: text/xml
Translate: f
Content-Length: 0
Depth: 0
User-Agent: Microsoft Data Access Internet Publishing Provider DAV 1.1
Host: localhost:81
Connection: Keep-Alive

webdav send
---------------------------------------
HTTP/1.1 207 Multi-Status
Server: Microsoft-IIS/5.0
Date: Wed, 31 Jul 2002 01:15:47 GMT
Content-Location: http://localhost:81/
Content-Type: text/xml
Transfer-Encoding: chunked

<?xml version="1.0"?><a:multistatus
xmlns:b="urn:uuid:c2f41010-65b3-11d1-a29f-00
aa00c14882/" xmlns:c="xml:"
xmlns:a="DAV:"><a:response><a:href>http://localhost:
81/</a:href><a:propstat><a:status>HTTP/1.1 200
OK</a:status><a:prop><a:getconten
tlength b:dt="int">0</a:getcontentlength><a:creationdate
b:dt="dateTime.tz">2001
-04-26T20:25:44.568Z</a:creationdate><a:displayname>cluboha</a:displayname><
a:ge
tetag>"a0ccc7271638c21:19177"</a:getetag><a:getlastmodified
b:dt="dateTime.rfc11
23">Tue, 30 Jul 2002 22:12:12
GMT</a:getlastmodified><a:resourcetype><a:collecti
on/></a:resourcetype><a:supportedlock/><a:ishidden
b:dt="boolean">0</a:ishidden>
<a:iscollection
b:dt="boolean">1</a:iscollection><a:getcontenttype>application/o
ctet-stream</a:getcontenttype></a:prop></a:propstat></a:response></a:multist
atus
---------------------------------------
Cierro al socket que habla